using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace FMSAdmin.Entities {
    public partial class BemsMeasureHistory {
        [Display(Name = "현장고유번호"), Key]
        public int SiteId { get; set; }
        [Display(Name = "건물번호"), Key]
        public int BuildingId { get; set; }
        [Display(Name = "설비코드"), Key]
        public int DeviceId { get; set; }
        [Display(Name = "에너지 구분"), Key]
        public short FuelTypeId { get; set; }
        [Display(Name = "생성일시"), Key]
        public DateTime CreatedDate { get; set; }
        [Display(Name = "스케쥴번호")]
        public int? ScheduleId { get; set; }
        [Display(Name = "이전 사용량")]
        public int? Used { get; set; }
        [Display(Name = "검침 사용량")]
        public int? Amount { get; set; }

        [ForeignKey("SiteId,BuildingId,DeviceId")]
        public virtual BemsDevice BemsDevice { get; set; }
        [ForeignKey("FuelTypeId")]
        public virtual BemsFuelType FuelType { get; set; }
    }
}
